petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPPIPEGCRSetTruncationType

specify how many of its stored previous directions PIPEGCR uses during orthoganalization

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRSetTruncationType(KSP ksp,KSPFCDTruncationType truncstrat)

Logically Collective on KSP Many br

KSP_FCD_TRUNC_TYPE_STANDARD uses all (up to mmax) stored directions Many brKSP_FCD_TRUNC_TYPE_NOTAY uses the last max(1,mod(i,mmax)) directions at iteration i=0,1,.. Many br

### Input Parameters

| ksp | - the Krylov space context Many br
| truncstrat | - the choice of strategy Many br

Many br

### Options Database

-ksp_pipegcr_truncation, -ksp_pipegcr_truncation_restart Many br

### See Also

KSPPIPEGCR, KSPPIPEGCRSetTruncationType, KSPPIPEGCRTruncationType, KSPFCDTruncationType

Level:intermediate
Location:src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages